#include "renderer.h"

#include "application/application.h"

void renderer::shutdown() {
    default_vs_ = nullptr;
}

std::shared_ptr<shader> renderer::get_pixel_shader_render_default_vs() {
    if (!default_vs_)
        default_vs_ = load_shader(application::get()->get_draw_ps_vertex_shader_entry());
    return default_vs_;
}
